#ifndef DB_PROBLEMS_H
#define DB_PROBLEMS_H

#ifdef __cplusplus
extern "C"
{
#endif

    int open_problems_db();

    void close_problems_db();

    int add_problem(const char* problem, const char* answer, const char* check_error, int* result);

    int delete_problems(int problems_id);

    int get_problem(int id, char** result, char** result2, char** result3);

    int modify_problem(int problems_id, const char* problem, const char* answer, const char* check_error);

    int check_answer(int problems_id, const char* answer, int* result);

    int has_problem(int problems_id, int* result);

    int all_problems(char** result);

#ifdef __cplusplus
}
#endif

#endif // DB_PROBLEMS_H