#ifndef JWT_H
#define JWT_H

#include <stddef.h>

#ifdef __cplusplus
extern "C"
{
#endif

    char* kqm_generate_hash(const char* password, size_t rounds);

    int kqm_validate_password(const char* password, const char* hash);

    char* kqm_random_password(size_t length);

#ifdef __cplusplus
}
#endif

#endif // JWT_H
