#ifndef SERVER_AUTH_H
#define SERVER_AUTH_H

#include "server/types.h"

int user_login_handler(mg_connection* conn, void* cbdata);
int user_register_handler(mg_connection* conn, void* cbdata);
int user_delete_handler(mg_connection* conn, void* cbdata);
int user_repasswd_handler(mg_connection* conn, void* cbdata);
int user_logout_handler(mg_connection* conn, void* cbdata);
int user_permission_handler(mg_connection* conn, void* cbdata);
int admin_handler(mg_connection* conn, void* cbdata);

extern char* secret;
extern char* admin_session;

void auth_cleanup();

#endif // SERVER_AUTH_H